UML_SWITCH(1)

NAME
uml_switch — switch daemon for user-mode Linux

SYNOPSIS

uml_switch [-unix control_socket data_socket] [-hub] [-tap tun device] [-compat-v0] [-daemon]

DESCRIPTION

This manual page documents briefly the uml_switch program.

This manual page was written for the Debian GNU/Linux distribution because the original program does not have a manual page.

uml_switch is a daemon for managing a virtual network between user-mode Linux systems, with no connection to the host system's network.

It will listen for connections on a pair of UNIX domain sockets, and forward packets between clients which connect to them.

OPTIONS

-unix control_socket data_socket
    Listen on the specified pair of sockets, instead of the defaults.

-hub
    Act like a hub. This means that packets received will be broadcast over all virtual links. The default is to act as a switch, where packets are only sent to the link matching the destination MAC address of the packet.

-tap tap device
    Connect the switch to a dynamically created tap device on the host

-compat-v0
    Specify control protocol version 0 compatibility.

-daemon
    Run in the background as a daemon.

SEE ALSO

linux(1)

The UserModeLinux-HOWTO (link to URL http://user-mode-linux.sourceforge.net/UserModeLinux-HOWTO.html)

AUTHOR

uml_switch was written by Jeff Dike and others.

This manual page was written by Matt Zimmerman mdz@debian.org for the Debian GNU/Linux system (but may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.1 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts and no Back-Cover Texts.